import 'package:bee_widgets/utils/hex_color.dart';
import 'package:flutter/material.dart';

class BeeHeader extends StatelessWidget {
  final String data;

  const BeeHeader({required this.data});

  @override
  Widget build(BuildContext context) {
    return Container(
      alignment: Alignment.topLeft,
      padding: EdgeInsets.only(top: 10, bottom: 10,left: 20,right: 12),
      decoration: BoxDecoration(
        // color: ColorValues.primaryColor,
          border: Border(
              bottom: BorderSide(
                color: Colors.grey,
                width: 2,
              ))),
      child: Text(
        data,
        style: TextStyle(
            fontSize: 16,
            fontWeight: FontWeight.bold,
            color: HexColor.fromHex("#3e4676")),
      ),
    );
  }
}
