import 'package:bee_widgets/bee_widgets.dart';
import 'package:bee_widgets/widgets/tables/bee_data_grid.dart';
import 'package:bee_widgets/widgets/tables/model/bee_column.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutter_test/flutter_test.dart';

class User extends BeeItemCel {
  String name;
  String lastName;
  int age;
  String password;

  @override
  dynamic get({required String propertyName}) {
    var _mapRep = toJson();
    if (_mapRep.containsKey(propertyName)) {
      return _mapRep[propertyName].toString();
    }
    throw ArgumentError('propery not found');
  }

  Map<String, dynamic> toJson() => {
        "name": name,
        "lastname": lastName,
        "age": age,
        "password": password,
      };

  User(
      {required this.name,
      required this.lastName,
      required this.age,
      required this.password});

  factory User.list({required Map<String, dynamic> json}) =>
      User(name: "Rodolfo", lastName: "Gutierrez", age: 27, password: "abc123");
}

void main() {
  /*test('adds one to input values', () {
    final calculator = Calculator();
    expect(calculator.addOne(2), 3);
    expect(calculator.addOne(-7), -6);
    expect(calculator.addOne(0), 1);
  });*/

  /*testWidgets("BeeDataGrid widget testing", (WidgetTester tester) async {
    final List<BeeColumn> beeColumns = [
      BeeColumn(field: 'name', label: 'Name'),
      BeeColumn(field: 'lastname', label: 'Lastname'),
      BeeColumn(field: 'age', label: 'Age', show: true),
      BeeColumn(field: 'password', label: 'Password', show: false),
    ];

    final List<BeeItemCel> beeItemCel = [
      User(name: "Rodolfo", lastName: "Gutierrez", age: 27, password: "abc123"),
      User(name: "Rodolfo", lastName: "Gutierrez", age: 27, password: "abc123"),
      User(name: "Rodolfo", lastName: "Gutierrez", age: 27, password: "abc123"),
      User(name: "Rodolfo", lastName: "Gutierrez", age: 27, password: "abc123"),
    ];

    await tester.pumpWidget(MaterialApp(
        home: Scaffold(
            body: BeeDataGrid(columns: beeColumns, rows: beeItemCel))));
    await tester.pump(Duration.zero);
  });*/
}
