import 'package:flutter/material.dart';

class BeeItem extends StatelessWidget {
  final String data;
  final bool selection;

  const BeeItem({required this.data, this.selection = false});

  @override
  Widget build(BuildContext context) {
    return Container(
      alignment: Alignment.topLeft,
      padding: EdgeInsets.only(top: 12, bottom: 12, right: 12, left: 20),
      decoration: BoxDecoration(
          color: this.selection ? Colors.blue.withOpacity(0.1) : Colors.white,
          border: Border(bottom: BorderSide(width: 1, color: Colors.grey))),
      child: Text(data),
    );
  }
}
